# Method: changes.get

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/changes/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/changes/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/changes/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/changes/get#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/changes/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/changes/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/changes/get#try-it)

Deprecated: Use `changes.getStartPageToken` and `changes.list` to retrieve recent changes.

### HTTP request

`GET https://www.googleapis.com/drive/v2/changes/{changeId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `changeId` | `string` The ID of the change. |

### Query parameters

| Parameters ||
|---|---|
| `driveId` | `string` The shared drive from which the change will be returned. |
| `supportsAllDrives` | `boolean` Whether the requesting application supports both My Drives and shared drives. |
| `supportsTeamDrives (deprecated)` | `boolean` Deprecated: Use `supportsAllDrives` instead. |
| `teamDriveId (deprecated)` | `string` Deprecated: Use `driveId` instead. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/changes#Change`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/drive.apps.readonly`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.meet.readonly`
- `
  https://www.googleapis.com/auth/drive.metadata`
- `
  https://www.googleapis.com/auth/drive.metadata.readonly`
- `
  https://www.googleapis.com/auth/drive.photos.readonly`
- `
  https://www.googleapis.com/auth/drive.readonly`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).